Skip to main content
POST
/
open-banking
/
v1
/
payments
/
{payment-product}
Payment initiation request
curl --request POST \
  --url https://api.example.com/open-banking/v1/payments/{payment-product} \
  --header 'Content-Type: application/json' \
  --header 'PSU-IP-Address: <psu-ip-address>' \
  --header 'X-Request-ID: <x-request-id>' \
  --data '
{
  "debtorAccount": {
    "iban": "DE40100100103307118608",
    "bban": "1234567890",
    "pan": "5409050000000000",
    "maskedPan": "123456xxxxxx1234",
    "msisdn": "+49170123456",
    "currency": "EUR"
  },
  "instructedAmount": {
    "currency": "EUR",
    "amount": "123.50"
  },
  "creditorAccount": {
    "iban": "DE40100100103307118608",
    "bban": "1234567890",
    "pan": "5409050000000000",
    "maskedPan": "123456xxxxxx1234",
    "msisdn": "+49170123456",
    "currency": "EUR"
  },
  "creditorName": "Merchant AG",
  "endToEndIdentification": "Payment-123",
  "creditorAgent": "DEUTDEDBFRA",
  "remittanceInformationUnstructured": "Ref Number Merchant",
  "requestedExecutionDate": "2025-12-01"
}
'
{
  "transactionStatus": "RCVD",
  "paymentId": "1234-payment-567",
  "_links": {
    "scaRedirect": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "scaOAuth": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "confirmation": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "startAuthorisation": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "startAuthorisationWithPsuIdentification": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "updatePsuIdentification": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "startAuthorisationWithProprietaryData": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "updateProprietaryData": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "startAuthorisationWithPsuAuthentication": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "updatePsuAuthentication": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "updateAdditionalPsuAuthentication": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "startAuthorisationWithEncryptedPsuAuthentication": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "updateEncryptedPsuAuthentication": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "updateAdditionalEncryptedPsuAuthentication": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "startAuthorisationWithAuthenticationMethodSelection": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "selectAuthenticationMethod": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "creditorNameConfirmation": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "self": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "status": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "scaStatus": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "account": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "balances": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "transactions": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "cardAccount": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "cardTransactions": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "transactionDetails": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "first": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "next": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "previous": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "last": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    },
    "download": {
      "href": "/v1/payments/sepa-credit-transfers/1234-payment-567"
    }
  },
  "transactionFees": {
    "currency": "EUR",
    "amount": "123.50"
  },
  "currencyConversionFee": {
    "currency": "EUR",
    "amount": "123.50"
  },
  "estimatedTotalAmount": {
    "currency": "EUR",
    "amount": "123.50"
  },
  "estimatedInterbankSettlementAmount": {
    "currency": "EUR",
    "amount": "123.50"
  },
  "transactionFeeIndicator": true,
  "scaMethods": [
    {
      "authenticationType": "SMS_OTP",
      "authenticationMethodId": "myAuthenticationID",
      "name": "SMS OTP on phone +49160 xxxxx 28",
      "authenticationVersion": "<string>",
      "explanation": "<string>"
    }
  ],
  "psuMessage": "Please check your bank app",
  "tppMessages": [
    {
      "category": "ERROR",
      "code": "SERVICE_UNAVAILABLE",
      "path": "access.balances",
      "text": "The ASPSP server is currently unavailable"
    }
  ]
}

Headers

Consent-ID
string | null

Shall be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service

PSU-IP-Address
string
required

The forwarded IP Address header field consists of the corresponding HTTP request IP Address field between PSU and TPP

X-Request-ID
string
required

ID of the request, unique to the call, as determined by the initiating party

Path Parameters

payment-product
string
required

The addressed payment product. Standard products are: sepa-credit-transfers, instant-sepa-credit-transfers, target-2-payments, cross-border-credit-transfers

Body

application/json

Payment initiation request body based on Section 11.1 core payment structures

debtorAccount
object
required

Debtor account reference

instructedAmount
object
required

Amount to be transferred

creditorAccount
object
required

Creditor account reference

creditorName
string
required

Name of the creditor

Maximum string length: 70
Example:

"Merchant AG"

endToEndIdentification
string | null

End-to-end identification of the payment

Maximum string length: 35
Example:

"Payment-123"

creditorAgent
string | null

BIC of the creditor agent (creditor's bank). Optional for SEPA, conditional for cross-border

Example:

"DEUTDEDBFRA"

creditorAddress
object

Address of the creditor

remittanceInformationUnstructured
string | null

Unstructured remittance information

Maximum string length: 140
Example:

"Ref Number Merchant"

requestedExecutionDate
string | null

Requested execution date for future-dated payments in ISODate format

Example:

"2025-12-01"

Response

Payment initiation request was correctly performed

transactionStatus
enum<string>
required

ISO 20022 transaction status

Available options:
ACCC,
ACCP,
ACSC,
ACSP,
ACTC,
ACWC,
ACWP,
RCVD,
PDNG,
RJCT,
CANC,
ACFC,
PATC,
PART,
RVCM,
RVNC,
RCVC
Example:

"RCVD"

paymentId
string
required

Resource identification of the generated payment initiation resource

Example:

"1234-payment-567"

HATEOAS links

transactionFees
object

Transaction fees for the payment initiation, including currency conversion fees if applicable

currencyConversionFee
object

Currency conversion fees related to the initiated credit transfer

estimatedTotalAmount
object

Estimated total amount to be debited from the debtor account, including fees

estimatedInterbankSettlementAmount
object

Estimated amount to be transferred to the payee

transactionFeeIndicator
boolean | null

If true, the transaction will involve specific transaction cost

scaMethods
object[] | null

Available SCA methods for the PSU, if SCA is required and the PSU has a choice

psuMessage
string | null

Text to be displayed to the PSU

Example:

"Please check your bank app"

tppMessages
object[] | null

Messages to the TPP on operational issues

Last modified on April 17, 2026